Get transfer configuration | Moov Documentation
Get transfer configuration
Get the transfer config for an account.
API Request
GET
/accounts/{accountID}/transfer-config
Example Shell Request
curl -X GET "https://api.moov.io/accounts/{accountID}/transfer-config" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Example Go Request
mc, _ := moov.NewClient()
var accountID string
mc.GetTransferConfig(ctx, accountID)
Example TypeScript Request
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.transferConfig.get({
accountID: "<id>",
});
console.log(result);
}
run();
Example PHP Request
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->transferConfig->get(
accountID: '<id>'
);
if ($response->transferConfig !== null) {
// handle response
}
Example Java Request
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetTransferConfigResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetTransferConfigResponse res = sdk.transferConfig().get()
.accountID("<id>")
.call();
if (res.transferConfig().isPresent()) {
System.out.println(res.transferConfig().get());
}
}
}
Example Python Request
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.transfer_config.get(account_id="<id>")
# Handle response
print(res)
Example Ruby Request
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.transfer_config.get(account_id: '<id>')
unless res.transfer_config.nil?
# handle response
end
Example C# Request
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.TransferConfig.GetAsync(accountID: "<id>");
// handle response
Fixed Amount Tip Config
{
"tipPresets": {
"fixedAmountOptions": [
{
"currency": "USD",
"valueDecimal": "1.00"
},
{
"currency": "USD",
"valueDecimal": "2.00"
},
{
"currency": "USD",
"valueDecimal": "5.00"
}
]
}
}
Percentage Tip Config
{
"tipPresets": {
"calculationBasis": "pre-tax",
"percentageOptions": [
10,
15,
20
]
},
"transferControls": [
{
"accountID": "01234567-89ab-cdef-0123-456789abcdef",
"allowDynamicDescriptor": true,
"allowSurcharge": true,
"debtRepayment": false,
"partnerAccountID": "01234567-89ab-cdef-0123-456789abcdef"
}
]
}
Response Headers
- A unique identifier used to trace requests.
- The request contained missing or expired authentication.
- The user is not authorized to make the request.
- The requested resource was not found.
- Request was refused due to rate limiting.
- The request failed due to an unexpected error.
- The request failed because a downstream service failed to respond.
- Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Configurable Options for Transfer
- Tip presets when calculating tips for a transfer.